GUIRac v. 1.0
Графическая обёртка для консольной программы RAC, входящей в состав 1С:Предприятие.

Программа разрабатывалась на Python 3.7.5 (Fedora Linux 31) и тестировалась на  Python 3.6.8 (CentOS 7) с использованием библиотек PyQT5. Версия платформы 1С:Предприятие — 8.3.15.1778.

Возможности:

 - Создание информационной базы с возможностью создания базы данных.
 - Удаление информационной базы с возможностью удаления базы данных, её очистки или оставления без изменений.
 - Просмотр/изменение свойств информационной базы.
 - Визуализация активных сеансов на уровне кластера и их принудительное завершение.

Все настройки программы сохраняются отдельно для каждого пользователя в файл ~/.config/guirac/guirac.conf.

Для работы программы требуется запущенная служба управления ras (ras --daemon cluster).

Параметры по умолчанию:

 - Путь к утилите rac: /opt/1C/v8.3/x86_64/rac (можно изменить, создав в guirac.conf переменную RACPath)
 - Порт службы ras: 1545 (можно изменить, создав в guirac.conf переменную RASPort)
 - Префикс для команды rac: пустая строка (можно изменить, создав в guirac.conf переменную CmdPrefix). Может пригодиться, например, для удалённого подключения через SSH.

В программе реализован механизм сохранения логинов/паролей для баз данных SQL сервера, логин/пароль, предлагаемые по умолчанию для доступа к базам, и отдельные логины/пароли для доступа к каждой базе в отдельности. Логины и пароли сохраняются в  guirac.conf в незашифрованном, хотя и неудобочитаемом, виде. Сохраняйте на свой страх и риск.

При длительных операциях, информация о них выводится в строке статуса.

При первом запуске, программа подключается к службе ras запущенной на локальной машине. В случае удачного подключения, получает информацию о кластере и базах в нём (в случае неудачи будет выведено сообщение).

![Example](https://i111.fastpic.ru/big/2020/0113/1c/197b741d4ff3b76df4795bc9da1f7f1c.png)


В меню доступны вызовы «Файл/Логины по умолчанию», «Файл/Выход» и «Вид/Обновить».

 - Логины по умолчанию:

![Example](https://i111.fastpic.ru/big/2020/0113/d1/4f1f407e6f7f8fca2b347b2e7be439d1.png)

Здесь можно задать и сохранить в файле конфигурации логины и пароли предлагаемые для заполнения форм создания базы и доступа к базам.


Создание информационной базы.

![Example](https://i111.fastpic.ru/big/2020/0113/6f/8ff894b9756cc7c59be97198788a7f6f.png)

Запускается вызовом контекстного меню на пункте «Информационные базы» в дереве. 

Если ранее были сохранены логин и пароль сервера БД по умолчанию, то в этой форме они-бы подставились автоматически. При изменения поля «Имя», в поле «База данных» копируется его содержимое, с возможностью последующего исправления.


Просмотр/изменение свойств базы вызывается через контекстное меню на имени базы в дереве.

Значение «Пользователь сервера БД» приходит от с остальными параметрами от rac.

Поле «Пароль пользователя БД» либо является пустым, либо заполняется значением заданным по умолчанию, если был ранее сохранён.

![Example](https://i111.fastpic.ru/big/2020/0113/2d/6c27f5296f4a70f87add48ddf5a0902d.png)


Удаление базы вызывается через контекстное меню на имени базы в дереве.

![Example](https://i111.fastpic.ru/big/2020/0113/10/b2e2c9e64fa6471c712f6a3598ce0c10.png)


Активные сеансы в кластере выводятся (обновляются) при клике мышкой на пункте «Сеансы» в дереве.

Завершение сеанса(ов) — выделить нужные сеансы и, через контекстное меню, удалить.
